[**@rxap/data-source v19.1.1-dev.0**](../README.md)

***

[@rxap/data-source](../globals.md) / RxapObservableDataSource

# Function: RxapObservableDataSource()

> **RxapObservableDataSource**\<`Data`\>(`metadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/observable.data-source.ts:39](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/observable.data-source.ts#L39)

## Type Parameters

• **Data**

## Parameters

### metadata

[`ObservableDataSourceMetadata`](../interfaces/ObservableDataSourceMetadata.md)\<`Data`\>

### className

`string` = `'ObservableDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`ObservableDataSource`](../classes/ObservableDataSource.md)\<`Data`\>\>

### Returns

`void`
